Remove "using namespace v8" in header. This allows us to turn all warnings into error...
[pdfium.git] / fpdfsdk / src / javascript / JS_Runtime.cpp
index dc95d53..e707269 100644 (file)
@@ -134,7 +134,7 @@ CJS_Runtime::~CJS_Runtime()
 FX_BOOL CJS_Runtime::InitJSObjects()\r
 {\r
        v8::Isolate::Scope isolate_scope(GetIsolate());\r
-       HandleScope handle_scope(GetIsolate());\r
+       v8::HandleScope handle_scope(GetIsolate());\r
        v8::Handle<v8::Context> context = v8::Context::New(GetIsolate());\r
        v8::Context::Scope context_scope(context);\r
        //0 - 8\r
@@ -207,7 +207,7 @@ void CJS_Runtime::SetReaderDocument(CPDFSDK_Document* pReaderDoc)
        if (m_pDocument != pReaderDoc)\r
        {\r
                v8::Isolate::Scope isolate_scope(m_isolate);\r
-               HandleScope handle_scope(m_isolate);\r
+               v8::HandleScope handle_scope(m_isolate);\r
                v8::Local<v8::Context> context =v8::Local<v8::Context>::New(m_isolate, m_context);\r
                v8::Context::Scope context_scope(context);\r
 \r